Index: /branches/version-2_13_0/test/selenium/backend/products/rank/TestCase_Admin_ProductsRank_rank_up
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/products/rank/TestCase_Admin_ProductsRank_rank_up	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/products/rank/TestCase_Admin_ProductsRank_rank_up	(revision 23103)
@@ -28,5 +28,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('up','product_id', '5'); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('up','product_id', '5'); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/products/rank/TestCase_Admin_ProductsRank_rank_down
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/products/rank/TestCase_Admin_ProductsRank_rank_down	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/products/rank/TestCase_Admin_ProductsRank_rank_down	(revision 23103)
@@ -33,5 +33,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('down','product_id', '5'); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('down','product_id', '5'); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProduct_regist
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProduct_regist	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProduct_regist	(revision 23103)
@@ -83,5 +83,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); fnModeSubmit('upload_image', 'image_key', 'main_list_image'); return false;&quot;]</td>
+	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); eccube.setModeAndSubmit('upload_image', 'image_key', 'main_list_image'); return false;&quot;]</td>
 	<td></td>
 </tr>
@@ -93,5 +93,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); fnModeSubmit('upload_image', 'image_key', 'main_image'); return false;&quot;]</td>
+	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); eccube.setModeAndSubmit('upload_image', 'image_key', 'main_image'); return false;&quot;]</td>
 	<td></td>
 </tr>
@@ -103,5 +103,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); fnModeSubmit('upload_image', 'image_key', 'main_large_image'); return false;&quot;]</td>
+	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); eccube.setModeAndSubmit('upload_image', 'image_key', 'main_large_image'); return false;&quot;]</td>
 	<td></td>
 </tr>
@@ -123,5 +123,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); fnModeSubmit('upload_image', 'image_key', 'main_list_image'); return false;&quot;]</td>
+	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); eccube.setModeAndSubmit('upload_image', 'image_key', 'main_list_image'); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProductClass_regist_class1_2
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProductClass_regist_class1_2	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProductClass_regist_class1_2	(revision 23103)
@@ -23,5 +23,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnChangeAction('./product_class.php'); fnModeSubmit('pre_edit', 'product_id', 3); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.changeAction('./product_class.php'); eccube.setModeAndSubmit('pre_edit', 'product_id', 3); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProduct_regist_download_product
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProduct_regist_download_product	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/products/product/TestCase_Admin_ProductsProduct_regist_download_product	(revision 23103)
@@ -138,5 +138,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); fnModeSubmit('upload_image', 'image_key', 'main_large_image'); return false;&quot;]</td>
+	<td>//a[@name='btn' and @onclick=&quot;selectAll('category_id'); eccube.setModeAndSubmit('upload_image', 'image_key', 'main_large_image'); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/products/class/TestCase_Admin_ProductsClassCategory_edit
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/products/class/TestCase_Admin_ProductsClassCategory_edit	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/products/class/TestCase_Admin_ProductsClassCategory_edit	(revision 23103)
@@ -38,5 +38,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('pre_edit','classcategory_id', 8); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('pre_edit','classcategory_id', 8); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_disp_dir
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_disp_dir	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_disp_dir	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnSetFormVal('form1', 'tree_select_file', 'C:/workspace/eccube/html/user_data/test');fnSelectFile('select_file6', '#808080');fnModeSubmit('move','',''); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setValue('tree_select_file', 'C:/workspace/eccube/html/user_data/test', 'form1');fnSelectFile('select_file6', '#808080');eccube.setModeAndSubmit('move','',''); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_disp_file
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_disp_file	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_disp_file	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnSetFormVal('form1', 'select_file', 'C:/workspace/eccube/html/user_data/test.txt');fnSelectFile('select_file8', '#808080');fnModeSubmit('view','',''); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setValue('select_file', 'C:/workspace/eccube/html/user_data/test.txt', 'form1');fnSelectFile('select_file8', '#808080');eccube.setModeAndSubmit('view','',''); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_delete_dir
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_delete_dir	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_delete_dir	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>click</td>
-	<td>//a[@onclick=&quot;fnSetFormVal('form1', 'select_file', 'C:/workspace/eccube/html/user_data/test');fnSelectFile('select_file6', '#808080');setTreeStatus('tree_status');fnModeSubmit('delete','',''); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setValue('select_file', 'C:/workspace/eccube/html/user_data/test', 'form1');fnSelectFile('select_file6', '#808080');setTreeStatus('tree_status');eccube.setModeAndSubmit('delete','',''); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_delete_file
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_delete_file	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_delete_file	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>click</td>
-	<td>//a[@onclick=&quot;fnSetFormVal('form1', 'select_file', 'C:/workspace/eccube/html/user_data/test.txt');fnSelectFile('select_file8', '#808080');setTreeStatus('tree_status');fnModeSubmit('delete','',''); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setValue('select_file', 'C:/workspace/eccube/html/user_data/test.txt', 'form1');fnSelectFile('select_file8', '#808080');setTreeStatus('tree_status');eccube.setModeAndSubmit('delete','',''); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_download
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_download	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/contents/TestCase_Admin_ContentsFileManager_download	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnSetFormVal('form1', 'select_file', 'C:/workspace/eccube/html/user_data/test.txt');fnSelectFile('select_file8', '#808080');setTreeStatus('tree_status');fnModeSubmit('download','',''); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setValue('select_file', 'C:/workspace/eccube/html/user_data/test.txt', 'form1');fnSelectFile('select_file8', '#808080');setTreeStatus('tree_status');eccube.setModeAndSubmit('download','',''); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/basis/holiday/TestCase_Admin_BasisHoliday_rank_up
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/basis/holiday/TestCase_Admin_BasisHoliday_rank_up	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/basis/holiday/TestCase_Admin_BasisHoliday_rank_up	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('up', 'holiday_id', 1); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('up', 'holiday_id', 1); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/basis/holiday/TestCase_Admin_BasisHoliday_rank_down
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/basis/holiday/TestCase_Admin_BasisHoliday_rank_down	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/basis/holiday/TestCase_Admin_BasisHoliday_rank_down	(revision 23103)
@@ -23,5 +23,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('down', 'holiday_id', 1); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('down', 'holiday_id', 1); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/basis/kiyaku/TestCase_Admin_BasisKiyaku_rank_up
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/basis/kiyaku/TestCase_Admin_BasisKiyaku_rank_up	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/basis/kiyaku/TestCase_Admin_BasisKiyaku_rank_up	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('up', 'kiyaku_id', 1); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('up', 'kiyaku_id', 1); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/basis/kiyaku/TestCase_Admin_BasisKiyaku_rank_down
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/basis/kiyaku/TestCase_Admin_BasisKiyaku_rank_down	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/basis/kiyaku/TestCase_Admin_BasisKiyaku_rank_down	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('down', 'kiyaku_id', 1); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('down', 'kiyaku_id', 1); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/basis/payment/TestCase_Admin_BasisPayment_rank_up
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/basis/payment/TestCase_Admin_BasisPayment_rank_up	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/basis/payment/TestCase_Admin_BasisPayment_rank_up	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('up','payment_id', 1); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('up','payment_id', 1); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/backend/basis/payment/TestCase_Admin_BasisPayment_rank_down
===================================================================
--- /branches/version-2_13_0/test/selenium/backend/basis/payment/TestCase_Admin_BasisPayment_rank_down	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/backend/basis/payment/TestCase_Admin_BasisPayment_rank_down	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//a[@onclick=&quot;fnModeSubmit('down','payment_id', 1); return false;&quot;]</td>
+	<td>//a[@onclick=&quot;eccube.setModeAndSubmit('down','payment_id', 1); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/test/selenium/front/TestCase_Front_logout
===================================================================
--- /branches/version-2_13_0/test/selenium/front/TestCase_Front_logout	(revision 23071)
+++ /branches/version-2_13_0/test/selenium/front/TestCase_Front_logout	(revision 23103)
@@ -18,5 +18,5 @@
 <tr>
 	<td>clickAndWait</td>
-	<td>//input[@type='image' and @onclick=&quot;fnFormModeSubmit('login_form', 'logout', '', ''); return false;&quot;]</td>
+	<td>//input[@type='image' and @onclick=&quot;eccube.fnFormModeSubmit('login_form', 'logout', '', ''); return false;&quot;]</td>
 	<td></td>
 </tr>
Index: /branches/version-2_13_0/html/user_data/packages/admin/js/admin.js
===================================================================
--- /branches/version-2_13_0/html/user_data/packages/admin/js/admin.js	(revision 23071)
+++ /branches/version-2_13_0/html/user_data/packages/admin/js/admin.js	(revision 23103)
@@ -21,18 +21,8 @@
  */
 
-//親ウィンドウのページを変更する。
-function fnUpdateParent(url) {
-    // 親ウィンドウの存在確認
-    if(fnIsopener()) {
-        window.opener.location.href = url;
-    } else {
-        window.close();
-    }
-}
-
 // 親ウィンドウをポストさせる。
 function fnSubmitParent() {
     // 親ウィンドウの存在確認
-    if(fnIsopener()) {
+    if(eccube.isOpener()) {
         window.opener.document.form1.submit();
     } else {
@@ -160,8 +150,4 @@
 }
 
-function fnSetFormValue(name, val) {
-    document.form1[name].value = val;
-}
-
 function fnListCheck(list) {
     len = list.length;
@@ -202,8 +188,8 @@
             );
         if(document.form1['stock_unlimited'].checked) {
-            fnChangeDisabled(list, icolor);
+            eccube.changeDisabled(list, icolor);
             document.form1['stock'].value = "";
         } else {
-            fnChangeDisabled(list, '');
+            eccube.changeDisabled(list, '');
         }
     }
@@ -334,9 +320,9 @@
             );
         if(document.form1[elem2].checked) {
-            fnChangeDisabled(list, icolor);
+            eccube.changeDisabled(list, icolor);
             document.form1[elem1].value = "";
         } else {
-            fnChangeDisabled(list, '');
-        }
-    }
-}
+            eccube.changeDisabled(list, '');
+        }
+    }
+}
Index: /branches/version-2_13_0/html/user_data/packages/admin/js/breadcrumbs.js
===================================================================
--- /branches/version-2_13_0/html/user_data/packages/admin/js/breadcrumbs.js	(revision 23071)
+++ /branches/version-2_13_0/html/user_data/packages/admin/js/breadcrumbs.js	(revision 23103)
@@ -27,5 +27,5 @@
              bread_crumbs: '',
              start_node: '<span>ホーム</span>',
-             anchor_node: '<a onclick="fnModeSubmit(\'tree\', \'parent_category_id\', '
+             anchor_node: '<a onclick="eccube.setModeAndSubmit(\'tree\', \'parent_category_id\', '
                  + '{category_id}); return false" href="javascript:;" />',
              delimiter_node: '<span>&nbsp;&gt;&nbsp;</span>'
Index: /branches/version-2_13_0/html/user_data/packages/admin/js/file_manager.js
===================================================================
--- /branches/version-2_13_0/html/user_data/packages/admin/js/file_manager.js	(revision 23071)
+++ /branches/version-2_13_0/html/user_data/packages/admin/js/file_manager.js	(revision 23103)
@@ -182,5 +182,5 @@
     } else {
         // Download
-        fnModeSubmit('download','','');
+        eccube.setModeAndSubmit('download','','');
     }
 }
@@ -193,5 +193,5 @@
     setTreeStatus(treeStatusHidden);
     // submit
-    fnModeSubmit(modeHidden,'','');
+    eccube.setModeAndSubmit(modeHidden,'','');
 }
 
Index: /branches/version-2_13_0/html/user_data/packages/sphone/js/eccube_sphone.js
===================================================================
--- /branches/version-2_13_0/html/user_data/packages/sphone/js/eccube_sphone.js	(revision 23071)
+++ /branches/version-2_13_0/html/user_data/packages/sphone/js/eccube_sphone.js	(revision 23103)
@@ -21,122 +21,100 @@
  */
 
-function setTopButton(topURL) {
-    if(!topURL){
-        topURL = "/";
+(function( window, undefined ){
+
+    // 名前空間の重複を防ぐ
+    if (window.eccube === undefined) {
+        window.eccube = {};
     }
-    var buttonText = "TOPへ";
-    var buttonId = "btn-top";
 
-    //ボタンの生成・設定
-    var btn = document.createElement('div');
-    var a = document.createElement('a');
-    btn.id = buttonId;
-    btn.onclick = function(){location=topURL;};
-    a.href = topURL;
-    a.innerText = buttonText;
+    var eccube = window.eccube;
 
-    /* 背景色の設定 ---------------------*/
-    //最初の見出しの背景色を取得、設定
-    var obj = document.getElementsByTagName('h2')[0];
-    var col = document.defaultView.getComputedStyle(obj,null).getPropertyValue('background-color');
-    btn.style.backgroundColor = col;
+    eccube.smartRollover = function() {
+        if (document.getElementsByTagName) {
+            var images = document.getElementsByTagName("img");
 
-    //省略表示用テキストの生成
-    var spn = document.createElement('span');
-    spn.innerText = obj.innerText;
-    obj.innerText = "";
-    spn.style.display = "inline-block";
-    spn.style.maxWidth = "50%";
-    spn.style.overflow = "hidden";
-    spn.style.textOverflow = "ellipsis";
-    obj.appendChild(spn);
-
-    //ボタンを追加
-    btn.appendChild(a);
-    document.getElementsByTagName('body')[0].appendChild(btn);;
-}
-
-function smartRollover() {
-    if (document.getElementsByTagName) {
-        var images = document.getElementsByTagName("img");
-
-        for (var i=0; i < images.length; i++) {
-            if (images[i].getAttribute("src").match("_off.")) {
-                images[i].onmouseover = function() {
-                    this.setAttribute("src", this.getAttribute("src").replace("_off.", "_on."));
-                }
-                images[i].onmouseout = function() {
-                    this.setAttribute("src", this.getAttribute("src").replace("_on.", "_off."));
+            for (var i=0; i < images.length; i++) {
+                if (images[i].getAttribute("src").match("_off.")) {
+                    images[i].onmouseover = function() {
+                        this.setAttribute("src", this.getAttribute("src").replace("_off.", "_on."));
+                    };
+                    images[i].onmouseout = function() {
+                        this.setAttribute("src", this.getAttribute("src").replace("_on.", "_off."));
+                    };
                 }
             }
         }
+    };
+
+    if (window.addEventListener) {
+        window.addEventListener("load", eccube.smartRollover, false);
+    } else if (window.attachEvent) {
+        window.attachEvent("onload", eccube.smartRollover);
     }
-}
 
-if (window.addEventListener) {
-    window.addEventListener("load", smartRollover, false);
-} else if (window.attachEvent) {
-    window.attachEvent("onload", smartRollover);
-}
+    /*------------------------------------------
+     お気に入りを登録する
+     ------------------------------------------*/
+    eccube.addFavoriteSphone = function(favoriteProductId) {
+        $.mobile.showPageLoadingMsg();
+        //送信データを準備
+        var postData = {};
+        var form = $("#form1");
+        form.find(':input').each(function(){
+            postData[$(this).attr('name')] = $(this).val();
+        });
+        postData["mode"] = "add_favorite_sphone";
+        postData["favorite_product_id"] = favoriteProductId;
 
-/*------------------------------------------
- お気に入りを登録する
- ------------------------------------------*/
-function fnAddFavoriteSphone(favoriteProductId) {
-    $.mobile.showPageLoadingMsg();
-    //送信データを準備
-    var postData = {};
-    $("#form1").find(':input').each(function(){
-        postData[$(this).attr('name')] = $(this).val();
+        $.ajax({
+            type: "POST",
+            url: form.attr('action'),
+            data: postData,
+            cache: false,
+            dataType: "text",
+            error: function(XMLHttpRequest, textStatus, errorThrown){
+                alert(textStatus);
+                $.mobile.hidePageLoadingMsg();
+            },
+            success: function(result){
+                if (result == "true") {
+                    alert("お気に入りに登録しました");
+                    $(".btn_favorite").html("<p>お気に入り登録済み</p>");
+                } else {
+                    alert("お気に入りの登録に失敗しました");
+                }
+                $.mobile.hidePageLoadingMsg();
+            }
+        });
+    };
+
+    // グローバルに使用できるようにする
+    window.eccube = eccube;
+
+    /*------------------------------------------
+     初期化
+     ------------------------------------------*/
+    $(function(){
+        //level?クラスを持つノード全てを走査し初期化
+        $("#categorytree li").each(function(){
+            if ($(this).children("ul").length) {
+                //▶を表示し、リストオープンイベントを追加
+                var tgt = $(this).children('span.category_header');
+                var linkObj = $("<a>");
+                linkObj.text('＋');
+                tgt
+                    .click(function(){
+                        $(this).siblings("ul").toggle('fast', function(){
+                            if ($(this).css('display') === 'none') {
+                                tgt.children('a').text('＋');
+                            } else {
+                                tgt.children('a').text('－');
+                            }
+                        });
+                    })
+                    .addClass('plus')
+                    .append(linkObj);
+            }
+        });
     });
-    postData["mode"] = "add_favorite_sphone";
-    postData["favorite_product_id"] = favoriteProductId;
-
-    $.ajax({
-        type: "POST",
-        url: $("#form1").attr('action'),
-        data: postData,
-        cache: false,
-        dataType: "text",
-        error: function(XMLHttpRequest, textStatus, errorThrown){
-            alert(textStatus);
-            $.mobile.hidePageLoadingMsg();
-        },
-        success: function(result){
-            if (result == "true") {
-                alert("お気に入りに登録しました");
-                $(".btn_favorite").html("<p>お気に入り登録済み</p>");
-            } else {
-                alert("お気に入りの登録に失敗しました");
-            }
-            $.mobile.hidePageLoadingMsg();
-        }
-    });
-}
-
-/*------------------------------------------
- 初期化
- ------------------------------------------*/
-$(function(){
-    //level?クラスを持つノード全てを走査し初期化
-    $("#categorytree li").each(function(){
-        if ($(this).children("ul").length) {
-            //▶を表示し、リストオープンイベントを追加
-            var tgt = $(this).children('span.category_header');
-            var linkObj = $("<a>");
-            linkObj.text('＋');
-            tgt
-                .click(function(){
-                    $(this).siblings("ul").toggle('fast', function(){
-                        if ($(this).css('display') === 'none') {
-                            tgt.children('a').text('＋');
-                        } else {
-                            tgt.children('a').text('－');
-                        }
-                    });
-                })
-                .addClass('plus')
-                .append(linkObj);
-        }
-    });
-});
+})(window);
